<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Wed Oct 25 13:37:29 CEST 2023 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-10-25">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">J</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../org/exo/enums/Taille.html#S" class="member-name-link">S</a> - Enum constant in enum class org.exo.enums.<a href="../org/exo/enums/Taille.html" title="enum class in org.exo.enums">Taille</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Personnage.html#setArgent(java.lang.Integer)" class="member-name-link">setArgent(Integer)</a> - Method in class org.exo.models.<a href="../org/exo/models/Personnage.html" title="class in org.exo.models">Personnage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vehicule.html#setCarrosseriePointsDeVie(java.lang.Integer)" class="member-name-link">setCarrosseriePointsDeVie(Integer)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vehicule.html" title="class in org.exo.models">Vehicule</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vehicule.html#setConducteur(org.exo.models.Personnage)" class="member-name-link">setConducteur(Personnage)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vehicule.html" title="class in org.exo.models">Vehicule</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vehicule.html#setCouleur(java.lang.String)" class="member-name-link">setCouleur(String)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vehicule.html" title="class in org.exo.models">Vehicule</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vetement.html#setCouleurVetement(java.lang.String)" class="member-name-link">setCouleurVetement(String)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vetement.html" title="class in org.exo.models">Vetement</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Personnage.html#setLongueurCheveux(java.lang.Integer)" class="member-name-link">setLongueurCheveux(Integer)</a> - Method in class org.exo.models.<a href="../org/exo/models/Personnage.html" title="class in org.exo.models">Personnage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vehicule.html#setMarque(java.lang.String)" class="member-name-link">setMarque(String)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vehicule.html" title="class in org.exo.models">Vehicule</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vehicule.html#setModele(java.lang.String)" class="member-name-link">setModele(String)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vehicule.html" title="class in org.exo.models">Vehicule</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vehicule.html#setMoteur(org.exo.models.Moteur)" class="member-name-link">setMoteur(Moteur)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vehicule.html" title="class in org.exo.models">Vehicule</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vehicule.html#setMoteurPointsDeVie(java.lang.Integer)" class="member-name-link">setMoteurPointsDeVie(Integer)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vehicule.html" title="class in org.exo.models">Vehicule</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Moteur.html#setPointsDeVie(java.lang.Integer)" class="member-name-link">setPointsDeVie(Integer)</a> - Method in class org.exo.models.<a href="../org/exo/models/Moteur.html" title="class in org.exo.models">Moteur</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vehicule.html#setProprietaire(org.exo.models.Personnage)" class="member-name-link">setProprietaire(Personnage)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vehicule.html" title="class in org.exo.models">Vehicule</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Personnage.html#setTailleTotale()" class="member-name-link">setTailleTotale()</a> - Method in class org.exo.models.<a href="../org/exo/models/Personnage.html" title="class in org.exo.models">Personnage</a></dt>
<dd>
<div class="block">Cette méthode permet d'avoir la taille totale du personnage lorsqu'il porte des chaussures.</div>
</dd>
<dt><a href="../org/exo/models/Personnage.html#setVehicules(org.exo.models.Vehicule)" class="member-name-link">setVehicules(Vehicule)</a> - Method in class org.exo.models.<a href="../org/exo/models/Personnage.html" title="class in org.exo.models">Personnage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/enums/Type.html#shorts" class="member-name-link">shorts</a> - Enum constant in enum class org.exo.enums.<a href="../org/exo/enums/Type.html" title="enum class in org.exo.enums">Type</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/exo/models/Vehicule.html#sortirDuVehicule(org.exo.models.Personnage)" class="member-name-link">sortirDuVehicule(Personnage)</a> - Method in class org.exo.models.<a href="../org/exo/models/Vehicule.html" title="class in org.exo.models">Vehicule</a></dt>
<dd>
<div class="block">Cette méthode set le conducteur du véhicule à null.</div>
</dd>
<dt><a href="../org/exo/models/Voiture.html#sousleau()" class="member-name-link">sousleau()</a> - Method in class org.exo.models.<a href="../org/exo/models/Voiture.html" title="class in org.exo.models">Voiture</a></dt>
<dd>
<div class="block">Cette méthode set les points de vie du moteur du véhicule à 0.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">J</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a></main>
</div>
</div>
</body>
</html>
